---
- entityDefinitions:  
  - IDC_ExternalID: '{c984f4e5-0f73-4d83-bb6e-9e940e544711}'

  - IDR_Instance__has__External_ID: '{970abca4-1964-4b5b-a866-466449fa735e}'
  - IDR_External_ID__for__Instance: '{e0225a3b-b41d-4ad4-928c-b3b432429b13}'

  - IDR_External_ID__has__External_ID_Type: '{0d9fc864-0bf6-4774-bbe8-ae0e0b293000}'
  - IDR_External_ID_Type__for__External_ID: '{9d9884ab-a7af-4bc8-a6e4-9db0d81d0c89}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ExternalID;'
    name: 'External ID'
    index: 3078
    customTagName: 'externalID'
    attributes:
    - instance: '&IDA_Value;'
      customTagName: 'value'
    relationships:
    - instance: '&IDR_External_ID__for__Instance;'
      customTagName: 'forInstanceId'
    - instance: '&IDR_External_ID__has__External_ID_Type;'
      customTagName: 'hasReferenceIDType'

  - relationship: '&IDR_Instance__has__External_ID;'
    index: 1079
    sourceClassId: '&IDC_Instance;'
    type: 'has'
    destinationClassId: '&IDC_ExternalID;'
    siblingRelationshipId: '&IDR_External_ID__for__Instance;'
    singular: no

  - relationship: '&IDR_External_ID__for__Instance;'
    index: 1080
    sourceClassId: '&IDC_ExternalID;'
    type: 'for'
    destinationClassId: '&IDC_Instance;'
    siblingRelationshipId: '&IDR_Instance__has__External_ID;'
    singular: yes

  - relationship: '&IDR_External_ID__has__External_ID_Type;'
    index: 1113
    sourceClassId: '&IDC_ExternalID;'
    type: 'has'
    destinationClassId: '&IDC_ExternalIDType;'
    siblingRelationshipId: '&IDR_External_ID_Type__for__External_ID;'
    singular: yes

  - relationship: '&IDR_External_ID_Type__for__External_ID;'
    index: 1114
    sourceClassId: '&IDC_ExternalIDType;'
    type: 'for'
    destinationClassId: '&IDC_ExternalID;'
    siblingRelationshipId: '&IDR_External_ID__has__External_ID_Type;'
    singular: no
